// Code generated by mockery v2.53.0. DO NOT EDIT.

package pipelinetemplate

import (
	context "context"
	io "io"

	mock "github.com/stretchr/testify/mock"
)

// MockDataStore is an autogenerated mock type for the DataStore type
type MockDataStore struct {
	mock.Mock
}

// GetData provides a mock function with given fields: ctx, inputID
func (_m *MockDataStore) GetData(ctx context.Context, inputID string) (io.ReadCloser, error) {
	ret := _m.Called(ctx, inputID)

	if len(ret) == 0 {
		panic("no return value specified for GetData")
	}

	var r0 io.ReadCloser
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) (io.ReadCloser, error)); ok {
		return rf(ctx, inputID)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) io.ReadCloser); ok {
		r0 = rf(ctx, inputID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(io.ReadCloser)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, inputID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UploadData provides a mock function with given fields: ctx, inputID, inputReader
func (_m *MockDataStore) UploadData(ctx context.Context, inputID string, inputReader io.Reader) error {
	ret := _m.Called(ctx, inputID, inputReader)

	if len(ret) == 0 {
		panic("no return value specified for UploadData")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string, io.Reader) error); ok {
		r0 = rf(ctx, inputID, inputReader)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// NewMockDataStore creates a new instance of MockDataStore. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockDataStore(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockDataStore {
	mock := &MockDataStore{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
